/**
 * Brightness 
 * by Rusty Robison. 
 * 
 * Brightness is the relative lightness or darkness of a color.
 * Move the cursor vertically over each bar to alter its brightness. 
 * 
 * Updated 8 May 2007
 */
 
int spotSize=100;
int redd = 255;

void setup() 
{
  size(1280, 1024);
  frameRate(40);
}

void draw() 
{
  background(0, 0, 0);
  fill(0, 255, 0);
  rect(mouseX-spotSize/2, mouseY-spotSize/2, spotSize, spotSize);
  
  if (mousePressed)
  {
    if (mouseButton == LEFT)
    {
      spotSize--;
    }
    else
      spotSize++;
  }
}
